summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMiroslav Šulc <fordfrog@gentoo.org>2015-11-06 13:34:59 +0100
committerMiroslav Šulc <fordfrog@gentoo.org>2015-11-06 13:36:04 +0100
commit9f679d3bd664f8ed292fc9e66eb3c4e0cc5acc40 (patch)
tree849d246201369fb330bd4db141c9ce2e64b89f9a /dev-java/netbeans-java
parentMerge remote-tracking branch 'remotes/lilrc/bug-557160' (diff)
downloadgentoo-9f679d3bd664f8ed292fc9e66eb3c4e0cc5acc40.tar.gz
gentoo-9f679d3bd664f8ed292fc9e66eb3c4e0cc5acc40.tar.bz2
gentoo-9f679d3bd664f8ed292fc9e66eb3c4e0cc5acc40.zip
netbeans: release 8.1
Diffstat (limited to 'dev-java/netbeans-java')
-rw-r--r--dev-java/netbeans-java/Manifest7
-rw-r--r--dev-java/netbeans-java/netbeans-java-8.1.ebuild273
2 files changed, 280 insertions, 0 deletions
diff --git a/dev-java/netbeans-java/Manifest b/dev-java/netbeans-java/Manifest
index 65434b7295c..c69dda0afdd 100644
--- a/dev-java/netbeans-java/Manifest
+++ b/dev-java/netbeans-java/Manifest
@@ -13,11 +13,18 @@ DIST 9EC77E2507F9CC01756964C71D91EFD8154A8C47-lucene-core-3.6.2.jar 1539086 SHA2
DIST A8BD39C5B88571B4D4697E78DD1A56566E44B1DD-JPAjavadocs04032013.zip 675425 SHA256 088464e2a7e6650b6f57434087ebe8f48947a3d343986741d79ca6bb23624b67 SHA512 bff8f89e96ae7b5cf22bbdbcbf95c1b6c789626a4f3f972a7216c3a545b3f85a67950c022f19c36edefb8e3fa605968b31e267166922dfb46fdd56bc16e4bd7e WHIRLPOOL 13cc312ba143fed133394d054d8a2b4f086d0dc9f5a5da3bebd83a62c30109bd16c6da5619ee6f0c4d66160280f6659685730f98e46063686aca4d4df8ef9fdb
DIST A90682C6BC0B9E105BD260C9A041FEFEA9579E46-lucene-highlighter-3.6.2.jar 89171 SHA256 377b2ddcb7c902daf5dd3d22a1ff5b8da4ad6f7fd6c5e5da4731d17a8d935534 SHA512 b66922bb86a5eb787a76714a6bf2c2adfd8469ea9c3031d9b5970373f71a2349b1e8156213397b9119cc9510e48905b181388744bf2189e04e18922023dacb12 WHIRLPOOL 9a5c93989dd79f803e050189d5cf1e741f0a2a1514b848fcbd51ee868125533a816525738f491da1f0915050343b73f7f8b58e4fe35230610a20b13475143663
DIST A9A0648BD7D9FD2CDFBD22C25366E71DA72438DA-hibernate-release-4.3.1-lib.zip 19717645 SHA256 618aa42390667bd4cf2343edfe134f5665d9815379ec311c3c776c9dbd21831d SHA512 160fa0353baa9b31090432053a2d602fdffa663fe1f83ad79de4788ed74d3e5938d0bba0ef28ff4a946e6bc99c3a629b3fc8ff7d44ada98348fee816cb39b42e WHIRLPOOL 23408ae921b1712584eef8d51678547cf24ce3db75743524cbb046511cac60f162ab46e4c3b65e639d9c8b3f2463b674791f491d6e377ef69207ef701b7dbc09
+DIST B2EB2006BCDB022420BDB4C2D596564539C65699-nb-javac-api.jar 173819 SHA256 4f2dbc36ec77519df339846cf5333e874d6f147f5d46ccdfabb18af34ee3bd5b SHA512 ccd48f9fe445b669763428dace1a02d5820a33d872c952d3a74608f868ca225c017999ae15857ed544799d467068b759d216121ba79d3288f323aa2cffb95fa8 WHIRLPOOL 02e8556df81839b0b90c912b9e22c22c9f10c54ee0aabda4768eaf6956f7e3e29c9b24a46e20bb264f2ea186c1642ec7baeb375b2a8951737543ac16e73f9260
+DIST B572007A07023ADF7ECBDB7FC2D572BF1BDED20D-wagon-http-2.8-shaded.jar 2259343 SHA256 551a7c1bfacb60eebe7eb5b004b69f546840cc3fca82f44431e4ac6215163f39 SHA512 67b973d2a3d52fba14ec2d285f4c2f0b0490be04d73c38918c2657f7fc257656f793e1e4eaa9221579ed93cd3ec1ce0c120f5b4fbc86582b95308c1f8b64fb79 WHIRLPOOL ae6e765a49e0cf8284a3496005a571f96ba730133c220ea77b8d19520a8579e4ac4879f1218ec38c0210c56add19ead8b3a4d104613c9788387213ce8561c8cf
DIST BF206C4AA93C74A739FBAF1F1C78E3AD5F167245-maven-dependency-tree-2.0.jar 56032 SHA256 817762baeabb24daf8a41a9716e31f85a7659147d09264a499f4d35b0fe04115 SHA512 c84d4066b9519cf2c00d5d4f054865693cd1665e5db3b30f6e77b44a7c0d3055cc40a1641b805ea38d2294e2cab1a27fab85035950ff0d94960a4de185bcc76b WHIRLPOOL aae6bc05d3b441443b9f0d80e65fde81614b0206eee5714f4e51ceaa0adb778758a5d65efb3a4963111f3b258753e0154447914a5586251883d22b0c1e09f9f3
+DIST CA4F4DB7B6C140E36B0001873BEEA7C26489D2A1-netbeans-cos.jar 10121 SHA256 c229a949b35bacebe798971b05b1fa6bdee4e923fcc08f02a7ae0a71fc6de4c7 SHA512 22333aab9419fafc86544492d384683a14c7f5feb313d9555f424ed4db46dd82c5a53b74b6e41221cf7d48d640145a63a653b4a05575df8ab2a2fba1b85815fa WHIRLPOOL 18dbad03b5cbcaa76ab528b2af074f566b3cd0a786e3e8bf2b56b8e0e265461fc15527a41e013f8685d1c824f48e28607833f30e02143a09be360574be38f3d3
DIST CD2211635F3011E300CA8FEDC1CE0E1CF61C175B-eclipselink.jar 8632395 SHA256 67d175c1858005308ae9a02ff85c0bc7efc9a2a3c058a6838d51769f417f5247 SHA512 56559a40532fa42775a92d82296a86033a587116870d8201dd42f07e29990a28de5b1547e3fb59ddedadfe6b4fc3dd109b108cc65cf7b253ac1b0fbb9cc03fcc WHIRLPOOL fc40cf8d49919d3ef38f6c3473736f56ee5ac1d4db848681536c3bd3532cb112e9490e76c1ef7b15d88b2ab87ed54e58dbf1227c173a3256194b5887d37f8a84
DIST D64C40E770C95C2A6994081C00CCD489C0AA20C9-jaxws-2.2.6-api.zip 84706 SHA256 214c8f6da105d8bcc4583f3f160d94fa4a8ec266c4fea4b5e12929a6386fec3a SHA512 5dd4270d3514f448f2d1533b099dbe64aab97c21e89066c467a3332d354f0675e27f6ed5ca1b23c01a2222c8e1ad261c374ae6549b9323951763b7a542a386f5 WHIRLPOOL 88a6357f335bd50d3cf3608cee0228b0c99b4b20a962e2dcd68b83c3fdd49b113618342f87cb8b758ad18612efdff0128876ae9018eeba5b682cd8267f97f8fb
DIST D87F53C99E4CD88F5416EDD5ABB77F2A1CCFB050-jarjar-1.4.jar 120575 SHA256 51945be4ed200cfc439d2db986bdcc184ecdfec5d0880a8c2854f88dcf20df0b SHA512 788bb5e115a77e12e9329db70e0b6edca185ebd5e30a8178f451da3a8492acba8c89848873acff224868772f464f17bd9eccc9130638d49c95593edd697d3dd2 WHIRLPOOL 9026c59ae69df71d205278a2cd7aeae24c72d74f1356bbf7d3dbe2fcceddb02948a94a87d4f7e6d710a5cc4e642d0de38d16690fff830d10b8372bcbecdd86b5
DIST E5579EF3B0C1EF2F43562DD0C3B32F8E1F603B49-nb-javac-api.jar 173813 SHA256 39fa3597e77942f589e299942e4d5f25ae04f699edfe6bd9135d5f425845649b SHA512 ca940f40881ff5a908fafc80f6aa90866d58c54189bfc073a2559ee76496f3127df920abda5d9c7aacf9a54cda693884127c1e3f696d4fc8367351313c900cc5 WHIRLPOOL fae1db760f988f4e2886d8a2f9b2384a194bf8b579825971466a21ec4fa4971a6e4e56b477ba0b61e2e034777af6c49c66d4425734cd6f9db4aca15041b384f6
+DIST E775F5BEB07F8303A9AD3DDC12E3128DD48AB03A-indexer-core-5.1.1-patched.jar 227553 SHA256 2884a6c80cb647199c9edf9d00c5b709502aa63092279b93b9a50ba1578bfc32 SHA512 5ff83f5925fa4250ecb46e08f7f064ccf5d637bff14edadf16abbcd0d6a6203cedd07a64cc5718656249d18b17a1016f7152094da3f8ed13fdbee9afbdfcd926 WHIRLPOOL d80fbd65b3aefa48361b4bafaf179e8076caf97cc7b2a4b5f7437a14f30ea568aa86b699fb2dcc1fb6a4042b131702c87e37d8cf04591f8669414b89d0acc185
DIST F7BD95641780C2AAE8CB9BED1686441A1CE5E749-beansbinding-1.2.1-doc.zip 930828 SHA256 5f41fe1ef8a7607bafbc04baa7814aecaf72b90a6fa796adec0846f50f8ac7f0 SHA512 0a65813cf76e997b362a0ce48ec55ac180907a7af6062c6f86f96448775164c2bf67c147920f2bfa6a8eb24c14046acf66d0ee9a5481bd7b9b251774a86a7db6 WHIRLPOOL edd56a338e08e788a307849794387069a60b1873a3a8fa29e1e7045fbf8a2f1ff175e68579df3789fdf6af8f7f94de2430560a89de48d64c22e76b1fe95b6505
+DIST FBC85B83A93F76A159C8C0D782F02AF7E68E8ECF-nb-javac-impl.jar 2766800 SHA256 cd65bd26b26b7823fc8a00ec84d951532403f8c665f114ac7704ec5f9b90af22 SHA512 164a438eb6b55534037705505cb3adda39dc4e813535f0108ff6cf65e9f39db58069a22678c2484a22e2da1b1d70063b5a56e55f8c56a51f8d9953c1791c17ec WHIRLPOOL e551a60bc8d10869fe35c558dff3d3249f18922ebc32ea9a170b468e025762fe31d154a6dd1239c390c70c9cbd70639a98532492b108d9acf69e07419a818f6e
DIST netbeans-8.0.2-201411181905-src.zip 196585461 SHA256 581f80d3c2e8d87a0f007dd3f358ce0534a0bb2e4b3312cd6c8c7263713bc530 SHA512 9533de5b3c45e4a5b025213dd5602344e16d024e0cdb013f207ac3c7a9d8e63da19279f97910ad136777d75780c620224953f2974070d5c9833d1d6ef3fd427c WHIRLPOOL 2e45e83309743df167ddd1d58068848166d01ef6d9eec99ddf72b9ba7664cb182a04d6420ab03a9270842b3cd9a16a161c1eebb66953ef09158d8d521fb96516
DIST netbeans-8.0.2-build.xml.patch.bz2 2678 SHA256 cf120f7fd8b4ad40e9abdcb09e7763fd93b4acef04ff0365e18f178706ea83bb SHA512 b61adf29bcb139207241c68513724f352420078583ca5e6d7856a4dd335ad36b7d05311eb6e14ff1c568aaf090de4ca083c32f6db1dec0b6f50d66a388bbedf7 WHIRLPOOL fb4d63329aa450a1b387fa45b59fa3c18d1a1ca8ecf9443111a3056d409a6d928d15dae275e9c564558f4b2abd54cc0f8db2df653ac432d9f58f8ef4dd747dff
+DIST netbeans-8.1-201510222201-src.zip 208692973 SHA256 e8dd9b73304bc7e546150629f7555624b405e8a7af2cd5d616e7a91a0655f463 SHA512 c3ed9e8c9444b1685e3ed7e1a2525d8be43953994aebed962d39f8eae35b6ab0dcab0093b7eeb287e3c74e0620ceded1956ef93205837bb7749db49f53c1c285 WHIRLPOOL 7ff7c3441dbc8f1ebd6f5441c8371ef0ef392f45eef65e06efec3201f417e228fb32879df83ec23ae61898840eadcde43caa66d54182bf3aae2f44c683916268
+DIST netbeans-8.1-build.xml.patch.bz2 2671 SHA256 b5384db6533d41c7d3fdaffd3cd296d156ac99f0a026e3d74c4ac5b5d388a70f SHA512 1dd5dcf02fd81691b0f9c531470379138484dcbc271f65ba53a3844a1e697719e47cb98c90f92f92c5980a577d27370efc800297525f62da7211393ea0a18915 WHIRLPOOL c77621b5f4eea9e688d9714be9268d05f7c1e792d9d46d3a082418d8c1cb52c35f76d59f0befddc73f30a0e0e12c0af25b4b31c1cb69b68dd90e48638d7da509
diff --git a/dev-java/netbeans-java/netbeans-java-8.1.ebuild b/dev-java/netbeans-java/netbeans-java-8.1.ebuild
new file mode 100644
index 00000000000..9f47ec14e01
--- /dev/null
+++ b/dev-java/netbeans-java/netbeans-java-8.1.ebuild
@@ -0,0 +1,273 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="4"
+inherit eutils java-pkg-2 java-ant-2
+
+# Maven cannot be unbundled because it depends on exact maven version and exact content of maven directory
+
+DESCRIPTION="Netbeans Java Cluster"
+HOMEPAGE="http://netbeans.org/projects/java"
+SLOT="8.1"
+SOURCE_URL="http://download.netbeans.org/netbeans/8.1/final/zip/netbeans-8.1-201510222201-src.zip"
+# jarjar-1.4 contains also asm libraries
+SRC_URI="${SOURCE_URL}
+ http://dev.gentoo.org/~fordfrog/distfiles/netbeans-8.1-build.xml.patch.bz2
+ http://hg.netbeans.org/binaries/694F57282D92C434800F79218E64704E5947008A-apache-maven-3.0.5-bin.zip
+ http://hg.netbeans.org/binaries/F7BD95641780C2AAE8CB9BED1686441A1CE5E749-beansbinding-1.2.1-doc.zip
+ http://hg.netbeans.org/binaries/CD2211635F3011E300CA8FEDC1CE0E1CF61C175B-eclipselink.jar
+ http://hg.netbeans.org/binaries/A9A0648BD7D9FD2CDFBD22C25366E71DA72438DA-hibernate-release-4.3.1-lib.zip
+ http://hg.netbeans.org/binaries/562F0CFA47F0636EBB5A544968EE7A692FC5D26D-indexer-artifact-5.1.1.jar
+ http://hg.netbeans.org/binaries/E775F5BEB07F8303A9AD3DDC12E3128DD48AB03A-indexer-core-5.1.1-patched.jar
+ http://hg.netbeans.org/binaries/D87F53C99E4CD88F5416EDD5ABB77F2A1CCFB050-jarjar-1.4.jar
+ http://hg.netbeans.org/binaries/5BAB675816DBE0F64BB86004B108BF2A00292358-javax.persistence_2.1.0.v201304241213.jar
+ http://hg.netbeans.org/binaries/84E2020E5499015E9F40D1212C86918264B89EB1-jaxws-2.2.6.zip
+ http://hg.netbeans.org/binaries/D64C40E770C95C2A6994081C00CCD489C0AA20C9-jaxws-2.2.6-api.zip
+ http://hg.netbeans.org/binaries/8ECD169E9E308C258287E4F28B03B6D6F1E55F47-jaxws-api-doc.zip
+ http://hg.netbeans.org/binaries/A8BD39C5B88571B4D4697E78DD1A56566E44B1DD-JPAjavadocs04032013.zip
+ http://hg.netbeans.org/binaries/9EC77E2507F9CC01756964C71D91EFD8154A8C47-lucene-core-3.6.2.jar
+ http://hg.netbeans.org/binaries/A90682C6BC0B9E105BD260C9A041FEFEA9579E46-lucene-highlighter-3.6.2.jar
+ http://hg.netbeans.org/binaries/BF206C4AA93C74A739FBAF1F1C78E3AD5F167245-maven-dependency-tree-2.0.jar
+ http://hg.netbeans.org/binaries/B2EB2006BCDB022420BDB4C2D596564539C65699-nb-javac-api.jar
+ http://hg.netbeans.org/binaries/FBC85B83A93F76A159C8C0D782F02AF7E68E8ECF-nb-javac-impl.jar
+ http://hg.netbeans.org/binaries/CA4F4DB7B6C140E36B0001873BEEA7C26489D2A1-netbeans-cos.jar
+ http://hg.netbeans.org/binaries/29AF1D338CBB76290D1A96F5A6610F1E8C319AE5-org.eclipse.persistence.jpa.jpql_2.5.2.v20140319-9ad6abd.jar
+ http://hg.netbeans.org/binaries/3CE04BDB48FE315736B1DCE407362C57DFAE286D-org.eclipse.persistence.jpa.modelgen_2.5.2.v20140319-9ad6abd.jar
+ http://hg.netbeans.org/binaries/7666B94C1004AFFFE88E5328BD70EBA6F60125F4-spring-framework-3.2.7.RELEASE.zip
+ http://hg.netbeans.org/binaries/91B55CDAC59BC4DDDF0AF9A54EAAE4304EDEF266-spring-framework-4.0.1.RELEASE.zip
+ http://hg.netbeans.org/binaries/B572007A07023ADF7ECBDB7FC2D572BF1BDED20D-wagon-http-2.8-shaded.jar"
+LICENSE="|| ( CDDL GPL-2-with-linking-exception )"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+S="${WORKDIR}"
+
+CDEPEND="~dev-java/netbeans-platform-${PV}
+ ~dev-java/netbeans-extide-${PV}
+ ~dev-java/netbeans-harness-${PV}
+ ~dev-java/netbeans-ide-${PV}
+ ~dev-java/netbeans-websvccommon-${PV}
+ dev-java/beansbinding:0
+ dev-java/cglib:3
+ dev-java/jdom:0"
+DEPEND=">=virtual/jdk-1.7
+ app-arch/unzip
+ ${CDEPEND}
+ dev-java/javahelp:0
+ dev-java/json-simple:0
+ dev-java/junit:4"
+RDEPEND=">=virtual/jdk-1.7
+ ${CDEPEND}
+ dev-java/absolutelayout:0
+ dev-java/antlr:0[java]
+ dev-java/c3p0:0
+ dev-java/commons-cli:1
+ dev-java/commons-collections:0
+ dev-java/dom4j:1
+ dev-java/fastinfoset:0
+ dev-java/glassfish-transaction-api:0
+ dev-java/javassist:3
+ dev-java/jboss-logging:0
+ dev-java/jsr67:0
+ dev-java/jsr181:0
+ dev-java/jtidy:0
+ dev-java/log4j:0
+ dev-java/mimepull:0
+ dev-java/oracle-javamail:0
+ dev-java/saaj:0
+ dev-java/slf4j-api:0
+ dev-java/slf4j-log4j12:0
+ dev-java/slf4j-simple:0
+ dev-java/stax-ex:0
+ dev-java/stax2-api:0
+ dev-java/xmlstreambuffer:0"
+
+INSTALL_DIR="/usr/share/${PN}-${SLOT}"
+
+EANT_BUILD_XML="nbbuild/build.xml"
+EANT_BUILD_TARGET="rebuild-cluster"
+EANT_EXTRA_ARGS="-Drebuild.cluster.name=nb.cluster.java -Dext.binaries.downloaded=true -Dpermit.jdk8.builds=true"
+EANT_FILTER_COMPILER="ecj-3.3 ecj-3.4 ecj-3.5 ecj-3.6 ecj-3.7"
+JAVA_PKG_BSFIX="off"
+
+pkg_pretend() {
+ local die_now=""
+
+ if [ -d /usr/share/netbeans-java-${SLOT}/ant ]; then
+ if [ -n "$(find /usr/share/netbeans-java-${SLOT}/ant -type l)" ]; then
+ eerror "Please remove following symlinks and run emerge again:"
+ find /usr/share/netbeans-java-${SLOT}/ant -type l
+ die_now="1"
+ fi
+ fi
+
+ if [ -L /usr/share/netbeans-java-${SLOT}/maven ]; then
+ if [ -z "${die_now}" ]; then
+ eerror "Please remove following symlinks and run emerge again:"
+ fi
+
+ echo "/usr/share/netbeans-java-${SLOT}/maven"
+ die_now="1"
+ fi
+
+ if [ -n "${die_now}" ]; then
+ die "Symlinks exist"
+ fi
+}
+
+src_unpack() {
+ unpack $(basename ${SOURCE_URL})
+
+ einfo "Deleting bundled jars..."
+ find -name "*.jar" -type f -delete
+
+ unpack netbeans-8.1-build.xml.patch.bz2
+
+ pushd "${S}" >/dev/null || die
+ ln -s "${DISTDIR}"/694F57282D92C434800F79218E64704E5947008A-apache-maven-3.0.5-bin.zip maven.embedder/external/apache-maven-3.0.5-bin.zip || die
+ ln -s "${DISTDIR}"/F7BD95641780C2AAE8CB9BED1686441A1CE5E749-beansbinding-1.2.1-doc.zip o.jdesktop.beansbinding/external/beansbinding-1.2.1-doc.zip || die
+ ln -s "${DISTDIR}"/CD2211635F3011E300CA8FEDC1CE0E1CF61C175B-eclipselink.jar j2ee.eclipselink/external/eclipselink.jar || die
+ ln -s "${DISTDIR}"/A9A0648BD7D9FD2CDFBD22C25366E71DA72438DA-hibernate-release-4.3.1-lib.zip hibernate4lib/external/hibernate-release-4.3.1-lib.zip || die
+ ln -s "${DISTDIR}"/562F0CFA47F0636EBB5A544968EE7A692FC5D26D-indexer-artifact-5.1.1.jar maven.indexer/external/indexer-artifact-5.1.1.jar || die
+ ln -s "${DISTDIR}"/E775F5BEB07F8303A9AD3DDC12E3128DD48AB03A-indexer-core-5.1.1-patched.jar maven.indexer/external/indexer-core-5.1.1-patched.jar || die
+ ln -s "${DISTDIR}"/D87F53C99E4CD88F5416EDD5ABB77F2A1CCFB050-jarjar-1.4.jar maven/external/jarjar-1.4.jar || die
+ ln -s "${DISTDIR}"/5BAB675816DBE0F64BB86004B108BF2A00292358-javax.persistence_2.1.0.v201304241213.jar j2ee.eclipselink/external/javax.persistence_2.1.0.v201304241213.jar || die
+ ln -s "${DISTDIR}"/84E2020E5499015E9F40D1212C86918264B89EB1-jaxws-2.2.6.zip websvc.jaxws21/external/jaxws-2.2.6.zip || die
+ ln -s "${DISTDIR}"/D64C40E770C95C2A6994081C00CCD489C0AA20C9-jaxws-2.2.6-api.zip websvc.jaxws21api/external/jaxws-2.2.6-api.zip || die
+ ln -s "${DISTDIR}"/8ECD169E9E308C258287E4F28B03B6D6F1E55F47-jaxws-api-doc.zip websvc.jaxws21/external/jaxws-api-doc.zip || die
+ ln -s "${DISTDIR}"/A8BD39C5B88571B4D4697E78DD1A56566E44B1DD-JPAjavadocs04032013.zip j2ee.eclipselink/external/JPAjavadocs04032013.zip || die
+ ln -s "${DISTDIR}"/9EC77E2507F9CC01756964C71D91EFD8154A8C47-lucene-core-3.6.2.jar maven.indexer/external/lucene-core-3.6.2.jar || die
+ ln -s "${DISTDIR}"/A90682C6BC0B9E105BD260C9A041FEFEA9579E46-lucene-highlighter-3.6.2.jar maven.indexer/external/lucene-highlighter-3.6.2.jar || die
+ ln -s "${DISTDIR}"/BF206C4AA93C74A739FBAF1F1C78E3AD5F167245-maven-dependency-tree-2.0.jar maven.embedder/external/maven-dependency-tree-2.0.jar || die
+ ln -s "${DISTDIR}"/B2EB2006BCDB022420BDB4C2D596564539C65699-nb-javac-api.jar libs.javacapi/external/nb-javac-api.jar || die
+ ln -s "${DISTDIR}"/FBC85B83A93F76A159C8C0D782F02AF7E68E8ECF-nb-javac-impl.jar libs.javacimpl/external/nb-javac-impl.jar || die
+ ln -s "${DISTDIR}"/CA4F4DB7B6C140E36B0001873BEEA7C26489D2A1-netbeans-cos.jar maven/external/netbeans-cos.jar || die
+ ln -s "${DISTDIR}"/29AF1D338CBB76290D1A96F5A6610F1E8C319AE5-org.eclipse.persistence.jpa.jpql_2.5.2.v20140319-9ad6abd.jar j2ee.eclipselink/external/org.eclipse.persistence.jpa.jpql_2.5.2.v20140319-9ad6abd.jar || die
+ ln -s "${DISTDIR}"/3CE04BDB48FE315736B1DCE407362C57DFAE286D-org.eclipse.persistence.jpa.modelgen_2.5.2.v20140319-9ad6abd.jar j2ee.eclipselinkmodelgen/external/org.eclipse.persistence.jpa.modelgen_2.5.2.v20140319-9ad6abd.jar || die
+ ln -s "${DISTDIR}"/7666B94C1004AFFFE88E5328BD70EBA6F60125F4-spring-framework-3.2.7.RELEASE.zip libs.springframework/external/spring-framework-3.2.7.RELEASE.zip || die
+ ln -s "${DISTDIR}"/91B55CDAC59BC4DDDF0AF9A54EAAE4304EDEF266-spring-framework-4.0.1.RELEASE.zip libs.springframework/external/spring-framework-4.0.1.RELEASE.zip || die
+ ln -s "${DISTDIR}"/B572007A07023ADF7ECBDB7FC2D572BF1BDED20D-wagon-http-2.8-shaded.jar maven.embedder/external/wagon-http-2.8-shaded.jar || die
+ popd >/dev/null || die
+}
+
+src_prepare() {
+ einfo "Deleting bundled class files..."
+ find -name "*.class" -type f | xargs rm -vf
+
+ epatch netbeans-8.1-build.xml.patch
+
+ # Support for custom patches
+ if [ -n "${NETBEANS9999_PATCHES_DIR}" -a -d "${NETBEANS9999_PATCHES_DIR}" ] ; then
+ local files=`find "${NETBEANS9999_PATCHES_DIR}" -type f`
+
+ if [ -n "${files}" ] ; then
+ einfo "Applying custom patches:"
+
+ for file in ${files} ; do
+ epatch "${file}"
+ done
+ fi
+ fi
+
+ einfo "Symlinking external libraries..."
+ java-pkg_jar-from --build-only --into javahelp/external javahelp jhall.jar jhall-2.0_05.jar
+ java-pkg_jar-from --into libs.cglib/external cglib-3 cglib.jar cglib-2.2.jar
+ java-pkg_jar-from --build-only --into libs.json_simple/external json-simple json-simple.jar json-simple-1.1.1.jar
+ java-pkg_jar-from --build-only --into libs.junit4/external junit-4 junit.jar junit-4.12.jar
+ java-pkg_jar-from --into maven.embedder/external jdom jdom.jar jdom-1.0.jar
+ java-pkg_jar-from --into o.jdesktop.beansbinding/external beansbinding beansbinding.jar beansbinding-1.2.1.jar
+
+ einfo "Linking in other clusters..."
+ mkdir "${S}"/nbbuild/netbeans || die
+ pushd "${S}"/nbbuild/netbeans >/dev/null || die
+
+ ln -s /usr/share/netbeans-platform-${SLOT} platform || die
+ cat /usr/share/netbeans-platform-${SLOT}/moduleCluster.properties >> moduleCluster.properties || die
+ touch nb.cluster.platform.built
+
+ ln -s /usr/share/netbeans-extide-${SLOT} extide || die
+ cat /usr/share/netbeans-extide-${SLOT}/moduleCluster.properties >> moduleCluster.properties || die
+ touch nb.cluster.extide.built
+
+ ln -s /usr/share/netbeans-harness-${SLOT} harness || die
+ cat /usr/share/netbeans-harness-${SLOT}/moduleCluster.properties >> moduleCluster.properties || die
+ touch nb.cluster.harness.built
+
+ ln -s /usr/share/netbeans-ide-${SLOT} ide || die
+ cat /usr/share/netbeans-ide-${SLOT}/moduleCluster.properties >> moduleCluster.properties || die
+ touch nb.cluster.ide.built
+
+ ln -s /usr/share/netbeans-websvccommon-${SLOT} websvccommon || die
+ cat /usr/share/netbeans-websvccommon-${SLOT}/moduleCluster.properties >> moduleCluster.properties || die
+ touch nb.cluster.websvccommon.built
+
+ popd >/dev/null || die
+
+ java-pkg-2_src_prepare
+}
+
+src_install() {
+ pushd nbbuild/netbeans/java >/dev/null || die
+
+ insinto ${INSTALL_DIR}
+ grep -E "/java$" ../moduleCluster.properties > "${D}"/${INSTALL_DIR}/moduleCluster.properties || die
+
+ doins -r *
+ chmod 755 "${D}"/${INSTALL_DIR}/maven/bin/mvn* || die
+ rm -fr "${D}"/${INSTALL_DIR}/maven/bin/*.bat || die
+
+ popd >/dev/null || die
+
+ local instdir=/${INSTALL_DIR}/maven/lib
+ pushd "${D}"/${instdir} >/dev/null || die
+ rm commons-cli-1.2.jar && dosym /usr/share/commons-cli-1/lib/commons-cli.jar ${instdir}/commons-cli-1.2.jar || die
+ popd >/dev/null || die
+
+ local instdir=/${INSTALL_DIR}/modules/ext
+ pushd "${D}"/${instdir} >/dev/null || die
+ rm AbsoluteLayout.jar && dosym /usr/share/absolutelayout/lib/absolutelayout.jar ${instdir}/AbsoluteLayout.jar || die
+ rm beansbinding-1.2.1.jar && dosym /usr/share/beansbinding/lib/beansbinding.jar ${instdir}/beansbinding-1.2.1.jar || die
+ rm cglib-2.2.jar && dosym /usr/share/cglib-3/lib/cglib.jar ${instdir}/cglib-2.2.jar || die
+ popd >/dev/null || die
+
+ local instdir=${INSTALL_DIR}/modules/ext/hibernate4
+ pushd "${D}"/${instdir} >/dev/null || die
+ rm antlr-2.7.7.jar && dosym /usr/share/antlr/lib/antlr.jar ${instdir}/antlr-2.7.7.jar || die
+ rm c3p0-0.9.2.1.jar && dosym /usr/share/c3p0/lib/c3p0.jar ${instdir}/c3p0-0.9.2.1.jar || die
+ rm cglib-2.2.jar && dosym /usr/share/cglib-3/lib/cglib.jar ${instdir}/cglib-2.2.jar || die
+ rm commons-collections-3.2.1.jar && dosym /usr/share/commons-collections/lib/commons-collections.jar ${instdir}/commons-collections-3.2.1.jar || die
+ rm dom4j-1.6.1.jar && dosym /usr/share/dom4j-1/lib/dom4j.jar ${instdir}/dom4j-1.6.1.jar || die
+ rm javassist-3.18.1-GA.jar && dosym /usr/share/javassist-3/lib/javassist.jar ${instdir}/javassist-3.18.1-GA.jar || die
+ rm jboss-logging-3.1.3.GA.jar && dosym /usr/share/jboss-logging/lib/jboss-logging.jar ${instdir}/jboss-logging-3.1.3.GA.jar || die
+ rm jboss-transaction-api_1.2_spec-1.0.0.Final.jar && dosym /usr/share/glassfish-transaction-api/lib/jta.jar ${instdir}/jboss-transaction-api_1.2_spec-1.0.0.Final.jar || die
+ rm jtidy-r8-20060801.jar && dosym /usr/share/jtidy/lib/Tidy.jar ${instdir}/jtidy-r8-20060801.jar || die
+ rm log4j-1.2.12.jar && dosym /usr/share/log4j/lib/log4j.jar ${instdir}/log4j-1.2.12.jar || die
+ rm slf4j-api-1.6.1.jar && dosym /usr/share/slf4j-api/lib/slf4j-api.jar ${instdir}/slf4j-api-1.6.1.jar || die
+ rm slf4j-log4j12-1.6.1.jar && dosym /usr/share/slf4j-log4j12/lib/slf4j-log4j12.jar ${instdir}/slf4j-log4j12-1.6.1.jar || die
+ rm slf4j-simple-1.6.1.jar && dosym /usr/share/slf4j-simple/lib/slf4j-simple.jar ${instdir}/slf4j-simple-1.6.1.jar || die
+ popd >/dev/null || die
+
+ local instdir=/${INSTALL_DIR}/modules/ext/jaxws22
+ pushd "${D}"/${instdir} >/dev/null || die
+ rm FastInfoset.jar && dosym /usr/share/fastinfoset/lib/fastinfoset.jar ${instdir}/FastInfoset.jar || die
+ rm javax.mail_1.4.jar && dosym /usr/share/oracle-javamail/lib/mail.jar ${instdir}/javax.mail_1.4.jar || die
+ rm mimepull.jar && dosym /usr/share/mimepull/lib/mimepull.jar ${instdir}/mimepull.jar || die
+ rm saaj-impl.jar && dosym /usr/share/saaj/lib/saaj.jar ${instdir}/saaj-impl.jar || die
+ rm stax-ex.jar && dosym /usr/share/stax-ex/lib/stax-ex.jar ${instdir}/stax-ex.jar || die
+ rm stax2-api.jar && dosym /usr/share/stax2-api/lib/stax2-api.jar ${instdir}/stax2-api.jar || die
+ rm streambuffer.jar && dosym /usr/share/xmlstreambuffer/lib/xmlstreambuffer.jar ${instdir}/streambuffer.jar || die
+ popd >/dev/null || die
+
+ local instdir=${INSTALL_DIR}/modules/ext/jaxws22/api
+ pushd "${D}"/${instdir} >/dev/null || die
+ rm jsr181-api.jar && dosym /usr/share/jsr181/lib/jsr181.jar ${instdir}/jsr181-api.jar || die
+ rm saaj-api.jar && dosym /usr/share/jsr67/lib/jsr67.jar ${instdir}/saaj-api.jar || die
+ popd >/dev/null || die
+
+ local instdir=${INSTALL_DIR}/modules/ext/maven
+ pushd "${D}"/${instdir} >/dev/null || die
+ rm jdom-1.0.jar && dosym /usr/share/jdom/lib/jdom.jar ${instdir}/jdom-1.0.jar || die
+ popd >/dev/null || die
+
+ dosym ${INSTALL_DIR} /usr/share/netbeans-nb-${SLOT}/java
+}